#!/bin/bash
set -euo pipefail

PLAYWRIGHT_VERSION="1.35.0"
PYTEST_PLAYWRIGHT_VERSION="0.3.3"
TMPDIR="$PWD/venv-build"
mkdir "$TMPDIR"
VENV_PATH=$TMPDIR/usr/share/ucs-test/playwright-venv

python3 -m venv --system-site-packages --upgrade "$VENV_PATH"

cd "$VENV_PATH" || exit 1
bin/pip install "playwright==$PLAYWRIGHT_VERSION" "pytest-playwright==$PYTEST_PLAYWRIGHT_VERSION" 'typing-extensions>=4.6'
grep -rIl "$TMPDIR" | xargs sed -i "s#$TMPDIR##g"

